### Method

# GimpUi SizeEntry set_size

#### Declaration [src]

    void
    gimp_size_entry_set_size (
      GimpSizeEntry* gse,
      gint field,
      gdouble lower,
      gdouble upper
    )

#### Description [src]

Sets the pixel values for field # `field` of the `GimpSizeEntry` which will be treated as 0% and 100%.

These values will be used if you specified `menu_show_percent` as `TRUE` in `gimp_size_entry_new()` and the user has selected GIMP_UNIT_PERCENT in the `GimpSizeEntry`‘s `GimpUnitComboBox`.

This function does nothing if the `GimpSizeEntryUpdatePolicy` specified in `gimp_size_entry_new()` doesn’t equal to GIMP_SIZE_ENTRY_UPDATE_SIZE.

#### Parameters

`field` | `gint`
| The index of the field you want to set the size for.
`lower` | `gdouble`
| The reference value which will be treated as 0%.
`upper` | `gdouble`
| The reference value which will be treated as 100%.